#!/usr/local/bin/perl
use v5.6.0;
use PLP;
use strict;

die 'Wrong module version' if $PLP::VERSION ne '3.05';

{
    $PLP::code = '';
    $PLP::sentheaders = 0;
    $PLP::inA = 0;
    $PLP::inB = 0;
    $PLP::DEBUG = 1;
    delete @ENV{ grep /^PLP_/, keys %ENV };
}

PLP::start();

{
    no strict;
    PLP::Fields::doit();
    {
	package PLP::Script;
	*headers = \%header;
	*cookies = \%cookie;
	PLP::Functions->import();
	# No lexicals may exist at this point.
	eval qq{package PLP::Script; $PLP::code};
    }
    PLP::error($@, 1) if $@;
    select STDOUT;
    undef *{"PLP::Script::$_"} for keys %PLP::Script::;
    PLP::sendheaders() unless $PLP::sentheaders;
}

